Update older versions

15 years 6 months ago #23575 by Klette
Update older versions was created by Klette
Hi everybody,

is it possible to update older versions? And if so, is there a how to?
I am now running the 1.5 alpha (1) on my website and I have some groups which I would prefer not to delete.

cheers

Stefan

Please Log in to join the conversation.

15 years 6 months ago #23669 by Fluffy5
Replied by Fluffy5 on topic Re:Update older versions
Hello!
Since there has been some major changes to the database structure from one version of GroupJive to the next, a new install deletes the old database tables.
But of course it is possible to keep the created groups, if you are prepared to do some work on the database yourself, through phpMyAdmin or similar.
Give me a day and I'll figure something out.

Please Log in to join the conversation.

15 years 6 months ago #23685 by Klette
Replied by Klette on topic Re:Update older versions
Hi Fluffy,

thanks for your support - I managed to make an update an keep my old groups. As you told it was a bit of work in the database - so don´t worry about it anymore. But I get a new error in the cb plugin: If someone sees a profile of a user you get the error message:

Warning: Invalid argument supplied for foreach() in
...components/com_comprofiler/plugin/user/plug_groupjiveplugin/groupjive.php
on line 52

line 52 in groupjive.php says: foreach($groups as $group)

The membership of a group isn't displayed anymore in the cb tab.

Do you have an idea?

cheers

Stefan

Post edited by: Klette, at: 2006/11/02 00:08

Please Log in to join the conversation.

15 years 6 months ago #23692 by Fluffy5
Replied by Fluffy5 on topic Re:Update older versions
Hi Stefan!

Good to hear that you solved your problem. Hopefully, I'm done with major database changes now, so for the next version you won't have to go through all the trouble of upgrading manually to keep old groups.

Im pretty sure you get that error for the plugin because I have changed the name of the database table #__gj_caterory to #__gj_category. Just change that one letter in the plugin's main file and it should be fine.

Please Log in to join the conversation.

15 years 6 months ago #23756 by Klette
Replied by Klette on topic Re:Update older versions
Hi Fluffy,

thanks a lot! That was exactly the problem.

cheers

Stefan

Please Log in to join the conversation.

15 years 5 months ago #25891 by forty
Replied by forty on topic Re:Update older versions
Tell me a way to update form version 1.1 to versio 1.5 alpha2

Please Log in to join the conversation.

Moderators: beatnantkrileon
Time to create page: 0.194 seconds